#!/usr/bin/env python3
# -*- encoding: utf-8; py-indent-offset: 4 -*-

from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    HostRulespec,
    rulespec_registry,
)
from cmk.gui.cee.plugins.wato.agent_bakery.rulespecs.utils import RulespecGroupMonitoringAgentsAgentPlugins
from cmk.gui.valuespec import (
    DropdownChoice,
)

def _valuespec_agent_config_debian_lts_status():
    return DropdownChoice(
        title = _("Debian LTS Status (Linux)"),
        help = _("This will deploy the agent plugin <tt>debian_lts_status</tt> for monitoring the LTS Status of installed Packages."),
        choices = [
            ( True, _("Deploy plugin for LTS Status") ),
            ( None, _("Do not deploy plugin for LTS Status") ),
        ]
    )

rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupMonitoringAgentsAgentPlugins,
        name="agent_config:debian_lts_status",
        valuespec=_valuespec_agent_config_debian_lts_status,
    ))
