#!/usr/bin/env python3
# -*- encoding: utf-8; py-indent-offset: 4 -*-

from pathlib import Path
from typing import Any, Dict

from .bakery_api.v1 import FileGenerator, OS, Plugin, register

def get_debian_lts_status_files(conf: Dict[str, Any]) -> FileGenerator:
    yield Plugin(base_os=OS.LINUX,
                 source=Path("debian_lts_status"))

register.bakery_plugin(
    name="debian_lts_status",
    files_function=get_debian_lts_status_files,
)

